---
title: Selection.anchorNode
slug: Web/API/Selection/anchorNode
tags:
  - API
  - Experimental
  - HTML Editing
  - Property
  - Read-only
  - Reference
  - Selection
---
<div>{{ ApiRef("DOM") }}{{SeeCompatTable}}</div>

<p>The <strong><code>Selection.anchorNode</code></strong> read-only property returns the {{domxref("Node")}} in which the selection begins.</p>

<p>A user may make a selection from left to right (in document order) or right to left (reverse of document order). The anchor is where the user began the selection. This can be visualized by holding the Shift key and pressing the arrow keys on your keyboard. The selection's anchor does not move, but the selection's focus, the other end of the selection, does move.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>node</em> =<em> sel</em>.anchorNode</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Selection API', '#dom-selection-anchornode', 'Selection.anchorNode')}}</td>
   <td>{{Spec2('Selection API')}}</td>
   <td>Current</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Selection.anchorNode")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Selection")}}, the interface it belongs to.</li>
</ul>
